Subject: FVWM: Window context Task Bar bug

From: John Latham <[email-masked]>
Date: Wed, 28 Aug 2002 19:21:41 +0100

Hi. I think I have just noticed a bug which I believe might be explained as
follows. In fvwm 2.4.8, when the start button is activated, the menu is run
with no window context, and so any window operations cause the user to first
pick a window. This is good. In fvwm 2.5.{2,3} when the start button is
activated, the menu is run with the taskbar itself as the window context. This
is not good. The up shot is, when say a move operation is chosen from the
start menu in 2.5, it is the task bar that gets moved ! :-)

I recall in some of the early 2.2.x versions, the start menu was invoked with
an illegal window context, which caused FVWM to crash if a window operation
was invoked via it. I suggested a patch at the time to fix it to have the root
window as focus, and sumbitted that to fvwm and to Red Hat. This is probably a
coincidence, but you never know... :-)

Best wishes, John Latham
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Mikhael Goikhman <[email-masked]>
Date: Wed, 28 Aug 2002 19:50:10 +0000

On 28 Aug 2002 19:21:41 +0100, John Latham wrote:
> 
> Hi. I think I have just noticed a bug which I believe might be explained
> as follows. In fvwm 2.4.8, when the start button is activated, the menu
> is run with no window context, and so any window operations cause the
> user to first pick a window. This is good. In fvwm 2.5.{2,3} when the
> start button is activated, the menu is run with the taskbar itself as
> the window context. This is not good. The up shot is, when say a move
> operation is chosen from the start menu in 2.5, it is the task bar that
> gets moved ! :-)
> 
> I recall in some of the early 2.2.x versions, the start menu was invoked
> with an illegal window context, which caused FVWM to crash if a window
> operation was invoked via it. I suggested a patch at the time to fix it
> to have the root window as focus, and sumbitted that to fvwm and to Red
> Hat. This is probably a coincidence, but you never know... :-)

No, this was broken since 2.5.1, I think.
Fixed in cvs.

Regards,
Mikhael.